## GstEGLImageMemory GstEGLImageMemory |

## Functions

void | gst_egl_image_memory_init ()
EGLDisplay | gst_egl_image_memory_get_display ()
EGLImageKHR | gst_egl_image_memory_get_image ()
GstVideoGLTextureOrientation | gst_egl_image_memory_get_orientation ()
void | gst_egl_image_memory_set_orientation ()
gboolean | gst_egl_image_memory_setup_buffer ()
gboolean | gst_is_egl_image_memory ()

## Types and Values

#define | GST_EGL_IMAGE_MEMORY_TYPE
#define | GST_CAPS_FEATURE_MEMORY_EGL_IMAGE

## Description

## Functions

### gst_egl_image_memory_init ()

    void
    gst_egl_image_memory_init (void);

### gst_egl_image_memory_get_display ()

    EGLDisplay
    gst_egl_image_memory_get_display (GstMemory *mem);

### gst_egl_image_memory_get_image ()

    EGLImageKHR
    gst_egl_image_memory_get_image (GstMemory *mem);

### gst_egl_image_memory_get_orientation ()

    GstVideoGLTextureOrientation
    gst_egl_image_memory_get_orientation (GstMemory *mem);

### gst_egl_image_memory_set_orientation ()

    void
    gst_egl_image_memory_set_orientation (GstMemory *mem,
                                          GstVideoGLTextureOrientation orientation);

### gst_egl_image_memory_setup_buffer ()

    gboolean
    gst_egl_image_memory_setup_buffer (GstGLContext *context,
                                       GstVideoInfo *info,
                                       GstBuffer *buffer);

### gst_is_egl_image_memory ()

    gboolean
    gst_is_egl_image_memory (GstMemory *mem);

## Types and Values

### GST_EGL_IMAGE_MEMORY_TYPE

    #define GST_EGL_IMAGE_MEMORY_TYPE "EGLImage"

### GST_CAPS_FEATURE_MEMORY_EGL_IMAGE

    #define GST_CAPS_FEATURE_MEMORY_EGL_IMAGE "memory:EGLImage"